# Query Grid Orders by IDs

`POST` `/v1/gridtrading/list`

Query specific grid orders by their IDs.

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `order_ids` | array | Yes | Grid order IDs to query |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/gridtrading/list' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"order_ids":[]}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `grid_order` | object[] | No | Grid orders |
| `└ order_id` | string | Yes | Grid order ID |
| `└ symbol` | string | Yes | Stock symbol, use `ticker.region` format, example: `AAPL.US` |
| `└ stock_name` | string | Yes | Stock name |
| `└ market` | string | Yes | Market |
| `└ status` | string | Yes | Grid order status |
| `└ grid_status` | string | Yes | Grid running status |
| `└ submitted_base_price` | string | Yes | Submitted base price the grid is anchored to |
| `└ current_base_price` | string | Yes | Current base price |
| `└ pre_trigger_base_price` | string | Yes | Base price before the last trigger |
| `└ post_trigger_base_price` | string | Yes | Base price after the last trigger |
| `└ upper_limit_price` | string | Yes | Upper price bound |
| `└ lower_limit_price` | string | Yes | Lower price bound |
| `└ trigger_price_type` | int32 | Yes | Trigger price type. **Enum Value:**, `1` - Spread, `2` - Percent |
| `└ trigger_spread_up` | string | Yes | Upward trigger spread, used when `trigger_price_type` is `1` |
| `└ trigger_spread_down` | string | Yes | Downward trigger spread, used when `trigger_price_type` is `1` |
| `└ trigger_percent_up` | string | Yes | Upward trigger percent, used when `trigger_price_type` is `2` |
| `└ trigger_percent_down` | string | Yes | Downward trigger percent, used when `trigger_price_type` is `2` |
| `└ pullback_percent` | string | Yes | Pullback percent |
| `└ pullback_spread` | string | Yes | Pullback spread |
| `└ rebound_percent` | string | Yes | Rebound percent |
| `└ rebound_spread` | string | Yes | Rebound spread |
| `└ trigger_sell_order_type` | string | Yes | Sell-side grid order type. **Enum Value:**, `GMO` - Grid market order, `GLO` - Grid limit order, `GTG` - Grid touch-to-go |
| `└ trigger_buy_order_type` | string | Yes | Buy-side grid order type. **Enum Value:**, `GMO` - Grid market order, `GLO` - Grid limit order, `GTG` - Grid touch-to-go |
| `└ trigger_sell_depth` | int32 | Yes | Sell-side order-book depth, range `-5..5`; `0` means use `trigger_sell_order_type` |
| `└ trigger_buy_depth` | int32 | Yes | Buy-side order-book depth, range `-5..5`; `0` means use `trigger_buy_order_type` |
| `└ trigger_quantity` | string | Yes | Quantity per trigger |
| `└ trigger_sell_quantity` | string | Yes | Sell-side trigger quantity |
| `└ trigger_buy_quantity` | string | Yes | Buy-side trigger quantity |
| `└ upper_limit_quantity` | string | Yes | Quantity handled at the upper bound |
| `└ lower_limit_quantity` | string | Yes | Quantity handled at the lower bound |
| `└ upper_limit_event` | int32 | Yes | Event when the upper bound is reached. **Enum Value:**, `1` - Ignore (keep grid running), `2` - Close position at last price |
| `└ lower_limit_event` | int32 | Yes | Event when the lower bound is reached. **Enum Value:**, `1` - Ignore (keep grid running), `2` - Close position at last price |
| `└ multiple_trigger` | boolean | Yes | Whether a single grid level can trigger multiple times |
| `└ trigger_times` | int32 | Yes | Number of times the grid has triggered |
| `└ total_buy_quantity` | string | Yes | Total bought quantity |
| `└ total_sell_quantity` | string | Yes | Total sold quantity |
| `└ total_profit_balance` | string | Yes | Total profit balance |
| `└ settlement_currency` | string | Yes | Settlement currency |
| `└ time_in_force` | int32 | Yes | Time in force type. **Enum Value:**, `0` - Day, `1` - Good-Til-Canceled, `6` - Good-Til-Date |
| `└ gtd` | string | Yes | Good-Til-Date expiry date, format: `YYYY-MM-DD` |
| `└ created_at` | string | Yes | Creation time, formatted as RFC3339 |
| `└ rth` | int32 | Yes | Regular trading hours flag. **Enum Value:**, `0`, `1`, `2` |
| `└ support_shortsell` | boolean | Yes | Whether short selling is allowed |
| `└ grid_order_type_up` | string | Yes | Sell-side order type when depth is `0`. **Enum Value:**, `GMO` - Grid market order, `GLO` - Grid limit order, `GTG` - Grid touch-to-go |
| `└ grid_order_type_down` | string | Yes | Buy-side order type when depth is `0`. **Enum Value:**, `GMO` - Grid market order, `GLO` - Grid limit order, `GTG` - Grid touch-to-go |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "grid_order": [
      {
        "order_id": "764609681686573056",
        "symbol": "700.HK",
        "stock_name": "TENCENT",
        "market": "HK",
        "status": "Performing",
        "grid_status": "Performing",
        "submitted_base_price": "300.000",
        "current_base_price": "300.000",
        "pre_trigger_base_price": "300.000",
        "post_trigger_base_price": "306.000",
        "upper_limit_price": "360.000",
        "lower_limit_price": "240.000",
        "trigger_price_type": 2,
        "trigger_spread_up": "",
        "trigger_spread_down": "",
        "trigger_percent_up": "2",
        "trigger_percent_down": "2",
        "pullback_percent": "",
        "pullback_spread": "",
        "rebound_percent": "",
        "rebound_spread": "",
        "trigger_sell_order_type": "GMO",
        "trigger_buy_order_type": "GMO",
        "trigger_sell_depth": 0,
        "trigger_buy_depth": 0,
        "trigger_quantity": "100",
        "trigger_sell_quantity": "100",
        "trigger_buy_quantity": "100",
        "upper_limit_quantity": "200",
        "lower_limit_quantity": "100",
        "upper_limit_event": 1,
        "lower_limit_event": 1,
        "multiple_trigger": false,
        "trigger_times": 3,
        "total_buy_quantity": "300",
        "total_sell_quantity": "200",
        "total_profit_balance": "1250.00",
        "settlement_currency": "HKD",
        "time_in_force": 1,
        "gtd": "",
        "created_at": "2025-01-15T09:30:00+08:00",
        "rth": 0,
        "support_shortsell": false,
        "grid_order_type_up": "GMO",
        "grid_order_type_down": "GMO"
      }
    ]
  }
}
```
